<?
session_name('portal_absa');
session_start();
require "../conexion/conectar.php";
$conexion = new CONDB();
$conexion->conectar();

$nodoID = getIDNodoRaiz("P CFDI 3.3");
function getIDNodoRaiz($nodo){
	global $conexion;
	if(!$result = mysqli_query($conexion->CONEXION,"Select id from nodos where nodo='$nodo' and (nodo_padre='' or nodo_padre is null) limit 1")){
		?><script>alert("Ocurrio un error al consultar la estructura del expediente.");window.close();</script><?exit;
	}
	if(mysqli_num_rows($result) > 0){
		$tmp=mysqli_fetch_assoc($result);
		return $tmp["id"];
	}else{
		?><script>alert("No se encontro la estructura del expediente.");window.close();</script><?exit;
	}
}

?>
<html>
<head>
	<link rel="stylesheet" type="text/css" href="../libs/jqueryEasy_1.2.5/themes/default/easyui.css">
	<link rel="stylesheet" type="text/css" href="../libs/jqueryEasy_1.2.5/themes/icon.css">
	<script language="javascript" src="../libs/js/jquery-1.7.1.min.js"></script>
	<script language="javascript" src="../libs/js/funciones.js"></script>
	<script>
		var $j_7 = $.noConflict();
		var uuid = "";
		var tabla = "";
		var nodoID = "";
		var idAdjunto = "";
		var uuidNodoPadre = "";
		var nodoIDTipoDocto = "<?=$nodoID?>";
	</script>
	<script type="text/javascript" src="../libs/jqueryEasy_1.2.5/jquery.easyui.min.js"></script>
	<script>
		function recargaExpediente(){
		$j_7.post('expedienteComplementoPago.php',{tipodocto: nodoIDTipoDocto,uuid: '<?=$_REQUEST['uuid']?>'},function(data){
		
		$j_7("#expe").html(data);
		});
		
		}
		function documentoSeleccionado(idDoc,tbl){
			uuid = idDoc;
			tabla = tbl;
			console.log(uuid);
			console.clear();
		}
		
		function menu_ver(tipo){
			if(uuid==""){
				$j_7("#divVista").html("");
			}else{
				$j_7('divVista').addClass("loading");
				$j_7.post('extras/selecciona_nombre_adjunto.php',{id: uuid},function(filename){
					if(filename != "" || tipo != "ADJ"){
						$j_7.post('extras/accionesMenu.php',{tipo: tipo, evento: "ver",tabla: tabla, uuid: uuid},function(data){
							if(tipo == "ADJ"){
								var banDescarga=false;
								switch(filename.split('.').pop().toUpperCase()){
									case "JPG": banDescarga=false;break;
									case "GIF": banDescarga=false;break;
									case "PNG": banDescarga=false;break;
									case "HTML": banDescarga=false;break;
									case "TXT": banDescarga=false;break;
									case "PDF": banDescarga=false;break;
									default: 	banDescarga = true;break;
								}
								if(banDescarga){
										var ventimp=window.open('extras/descargar.php?id='+uuid,'descarga');
								}else{
									$j_7("#divVista").html(data);
									$j_7('divVista').removeClass("loading");
								}
							}else{
								$j_7("#divVista").html(data);
								$j_7('divVista').removeClass("loading");
							}
						});
					}else{
						$j_7.messager.alert("Aviso","No se encontro el archivo adjunto. Intente nuevamente.","info");
					}
				});
			}
		}
		function editaMontoIngreso(){
			if(uuid != ""){
				$j_7.post("form_add_pago_ingreso.php",{uuidPago: '<?=$_REQUEST['uuid']?>',uuidIngreso: uuid},function(data){
					$j_7("#dd").html(data);
				});
			}
		}
		function menu_AgregarReferencia(){
			$j_7('divVista').addClass("loading");
			$j_7.post('extras/accionesMenu.php',{evento: "ADDDOC", uuid: '<?=$_REQUEST['uuid']?>'},function(data){
				$j_7("#divVista").html(data);
				$j_7('divVista').removeClass("loading");
			});
			
		}
		function NodoSeleccionado(idNodo,uuidPadre){
			nodoID = idNodo;
			uuidNodoPadre = uuidPadre;
			console.log(nodoID);
			console.clear();
			$j_7("#divVista").html("");
		}
		function AdjuntoSeleccionado(id){
			idAdjunto = id;
			console.log(idAdjunto);
			console.clear();
			$j_7("#divVista").html("");
		}
		function documentoICFDISeleccionado(cfdiSel){
			uuidICFDI = cfdiSel;
			console.log(uuid);
			console.clear();
		}
		function menu_adjuntar(){
			if(nodoID==""){
				$j_7("#divVista").html("");
				$j_7.messager.alert("Error","Seleccione otra carpeta para poder adjuntar.","error");
			}else{
				$j_7('divVista').addClass("loading");
				$j_7("#divVista").load("form_adjuntar.php",{nodoID: nodoID, uuidNodoPadre: uuidNodoPadre});
				/*$j_7.post('form_adjuntar.php',{nodoID: nodoID, uuidNodoPadre: uuidNodoPadre},function(data){
					$j_7("#divVista").html(data);
					$j_7('divVista').removeClass("loading");
				});*/
			}
		}
		function eliminarAdjunto(){
			if(uuid != ""){
				$j_7.messager.confirm("Confirmar.","<?=utf8_encode("¿")?>Realmente desea eliminar el adjunto?",function(r){
					if(r){
						$j_7.post('extras/eliminar_adjunto.php',{id: uuid},function(data){
							$j_7('#result').html(data);
						});
					}else{return false;}
				});
			}
			
		}
		$j_7(function(){
			$j_7('#dd').dialog({
				toolbar:[{
					text:'Guardar',
					iconCls:'icon-save',
					handler:function(){
						$j_7('#dd').dialog('close');
					}
				},'-',{
					text:'Cancelar',
					iconCls:'icon-cancel',
					handler:function(){
						$j_7('#dd').dialog('close');
					}
				}]
				/*,buttons:[{
					text:'Ok',
					iconCls:'icon-ok',
					handler:function(){
						alert('ok');
					}
				},{
					text:'Cancel',
					handler:function(){
						$('#dd').dialog('close');
					}
				}]*/
			});
		});
	</script>
<style>
.demo-info{
	background:#FFFEE6;
	color:#8F5700;
	padding:12px;
}
.demo-tip{
	width:24px;
	height:16px;
	float:left;
}
.ventanaModal_{
background-color: #000000;
z-index:500;
position:fixed;
opacity:0.7;
filter: alpha(opacity=70);
width: 100%;
height: 100%;
}
.icon-preview{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/preview.png') no-repeat 2px 2px;
}
.icon-xml{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/xml.png') no-repeat 2px 2px;
}
.icon-pdf{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/pdf.png') no-repeat 2px 2px;
}

.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url('http://i.stack.imgur.com/FhHRx.gif') 
                50% 50% 
                no-repeat;
}

body.loading {
    overflow: hidden;   
}

body.loading .modal {
    display: block;
}

#divVista.loading {
    overflow: hidden;   
}

#divVista.loading .modal {
    display: block;
}

td{
		text-align: left;
		padding: 10px 10px 10px 10px;
	}
table{
	border: 2px solid #CCCCCC;
	margin-left: 10px; 
	margin-top: 10px; 
}
.icon-preview{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/preview.png') no-repeat 2px 2px;
}
.icon-xml{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/xml.png') no-repeat 2px 2px;
}
.icon-pdf{
	background:url('../libs/jqueryEasy_1.2.5/themes/icons/pdf.png') no-repeat 2px 2px;
}
.icon-complementoPago{
	background:url('../Imagenes/complementoPago.png') no-repeat;
}
.icon-invoice{
	background:url('../Imagenes/invoice.png') no-repeat;
}
.icon-pdfStd{
	background:url('../Imagenes/pdfstd.png') no-repeat;
}
.icon-document{
	background:url('../Imagenes/document.png') no-repeat;
}
.icon-attach{
	background:url('../Imagenes/attach.png') no-repeat;
	background-size: 55% 55%;
}
.icon-archivo{
	background:url('../Imagenes/archivo.png') no-repeat;
	background-size: 20% 100%;
}
</style>
<!--[if IE]>
<style type="text/css">
.ventanaModal_{
background-color: #000000;
z-index:500;
opacity:0.7;
filter: alpha(opacity=70);
position: absolute;
left: expression( ( 0 + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + 'px' );
top: expression( ( 0 + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + 'px' );
}

</style>
<![EndIf]-->
</head>
<body onunload="window.opener.parent.cerrarPopup();" class="easyui-layout">
<div class="modal"></div>
<div id="loading" class="ventanaModal_" style="display:none;vertical-align: middle;margin: 0 auto"><center><img src="../Imagenes/loading2.gif"></center></div>

	<div region="north" border="false" style="height:30px;background:#FFFFFF;">
		<div style="background:#C9EDCC;width:100%;height:100%;">
				<a onclick="recargaExpediente();" id="mb1" class="easyui-menubutton" menu="#mm1Exp" iconCls="icon-reload">Refrescar Expediente</a>
				
				<a onclick="recargaExpediente();" id="mb1" class="easyui-menubutton" menu="#mmArchivo" iconCls="icon-archivo">Archivo</a>
				
				<div id="mmArchivo" style="width: 150px">

					<div iconCls="icon-preview">
						<span>Ver</span>
						<div style="width:150px;">
							<div onClick="menu_ver('XML')" iconCls="icon-xml">XML</div>
							<div onClick="menu_ver('PDF')" iconCls="icon-pdf">PDF</div>
							<div onClick="menu_ver('PDFSTD')" iconCls="icon-pdfStd">PDF Standard</div>
							<div class="menu-sep"></div>
							<div onClick="menu_ver('ADJ')" iconCls="icon-attach">Adjunto</div>
						</div>
					</div>
					<!--<div iconCls="icon-invoice">
						<span>I CFDI</span>
						<div style="width:150px;">
							<?if($_SESSION["sesion_editar_expediente"] == "1"){?>
								<div onClick="menu_AgregarReferencia()" iconCls="icon-add">Agregar</div>
								<div onClick="editarDoc()" iconCls="icon-edit">Editar</div>
								<div onClick="quitarDoc()" iconCls="icon-remove">Quitar</div>
							<?}?>
								<div onClick="verPago()" iconCls="icon-preview">Ver Pago</div>
						</div>
					</div>
					<div iconCls="icon-complementoPago">
						<span>P CFDI</span>
						<div style="width:150px;">
							<?if($_SESSION["sesion_editar_expediente"] == "1"){?>
								<div onClick="menu_AgregarPCFDIReferencia()" iconCls="icon-add">Agregar</div>
								<div onClick="quitarPCFDI()" iconCls="icon-remove">Quitar</div>
							<?}?>
						</div>
					</div>-->
					<div iconCls="icon-attach">
						<span>Adjunto</span>
						<div style="width:150px;">
							<?if($_SESSION["sesion_editar_expediente"] == "1"){?>
								<div onClick="menu_adjuntar()" iconCls="icon-add">Agregar</div>
								<div onClick="eliminarAdjunto()" iconCls="icon-remove">Quitar</div>
							<?}?>
						</div>
					</div>
				</div>
		</div>
	</div>
	
	<div id="expe" region="west" split="true" title="Expediente" style="width:400px;padding:10px;">
	
	</div>
	
	<!--<div region="east" split="true" title="<span id='tituloEste'>&nbsp;</span>" style="width:400px;padding:10px;">
		<div id="cuerpoEste"></div>
	</div>
	
	
	<div region="south" border="false" style="height:200px;background:#FFFFFF;padding:10px;">
		<div id="cuerpoSur"></div>
	</div>-->
	<div region="center" title="<span id='tituloVista'>&nbsp;</span>" id="divVista">
		
	</div>
	<div id="dd" title="Agregar" icon="icon-add" modal="true" closed="true" style="padding:5px;width:800px;height:600px;">
		
	</div>
	<div id="result"></div>
</body>
<script>
try{
				window.opener.parent.revisaForm();
			}catch(err){
				alert('No es posible abrir correctamente la ventana.');
				$j_7('body').html('');
			}
			recargaExpediente();
</script>
</html>